"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var distinct_1 = require("./distinct");
var TriggerLinkMonitor = /** @class */ (function () {
    function TriggerLinkMonitor(widget) {
        this.container = widget.container;
        this.events = widget.events;
    }
    TriggerLinkMonitor.prototype.watch = function (elements) {
        var triggerElements = distinct_1.default(elements);
        this.container.registerValue('triggerElements', triggerElements);
        this.events.dispatch('trigger-elements-updated', { triggerElements: triggerElements }, { bubbles: true });
    };
    return TriggerLinkMonitor;
}());
exports.default = TriggerLinkMonitor;
//# sourceMappingURL=trigger-link-monitor.js.map