import distinct from './distinct';
var TriggerLinkMonitor = /** @class */ (function () {
    function TriggerLinkMonitor(widget) {
        this.container = widget.container;
        this.events = widget.events;
    }
    TriggerLinkMonitor.prototype.watch = function (elements) {
        var triggerElements = distinct(elements);
        this.container.registerValue('triggerElements', triggerElements);
        this.events.dispatch('trigger-elements-updated', { triggerElements: triggerElements }, { bubbles: true });
    };
    return TriggerLinkMonitor;
}());
export default TriggerLinkMonitor;
//# sourceMappingURL=trigger-link-monitor.js.map